"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class QueryError extends Error {
    constructor() {
        super();
        if (Error.captureStackTrace) {
            Error.captureStackTrace(this, QueryError);
        }
        this.name = 'QueryError';
        this.code = 1000;
    }
}
exports.QueryError = QueryError;
class EmptyQueryError extends QueryError {
    constructor() {
        super();
        this.name = 'EmptyQueryError';
        this.code = 1001;
    }
}
exports.EmptyQueryError = EmptyQueryError;
class InvalidSyntaxError extends QueryError {
    constructor() {
        super();
        this.name = 'InvalidSyntaxError';
        this.code = 1002;
    }
}
exports.InvalidSyntaxError = InvalidSyntaxError;
class InvalidKeywordError extends QueryError {
    constructor(data) {
        super();
        this.name = 'InvalidKeywordError';
        this.data = data;
        this.code = 1003;
    }
}
exports.InvalidKeywordError = InvalidKeywordError;
class InvalidTableError extends QueryError {
    constructor(data) {
        super();
        this.name = 'InvalidTableError';
        this.data = data;
        this.code = 1004;
    }
}
exports.InvalidTableError = InvalidTableError;
class InvalidColumnError extends QueryError {
    constructor(data) {
        super();
        this.name = 'InvalidColumnError';
        this.data = data;
        this.code = 1005;
    }
}
exports.InvalidColumnError = InvalidColumnError;
class InvalidColumnValueError extends QueryError {
    constructor(data) {
        super();
        this.name = 'InvalidColumnValueError';
        this.data = data;
        this.code = 1006;
    }
}
exports.InvalidColumnValueError = InvalidColumnValueError;
//# sourceMappingURL=errors.js.map